For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • POSTCreate Session
        • GETGet Transactions
Logo
Talk to usGet started
API ReferenceIntegrationsVenmo

Create Session

POST
https://api.trykeet.com/v1/venmo/session
POST
/v1/venmo/session
$curl -X POST https://api.trykeet.com/v1/venmo/session \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "wsUrl": "wsUrl",
4 "postSignInUrl": "postSignInUrl",
5 "debuggerFullscreenUrl": "debuggerFullscreenUrl"
6}

Create a Venmo session that you can connect to via playwright. See this link for more info.

Was this page helpful?
Previous

Get Transactions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Response

This endpoint returns an object.
statusenum
Allowed values:
wsUrlstring
postSignInUrlstring
debuggerFullscreenUrlstring

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error